jQuery("document").ready(function($){

// scripts Category Page ------------------------------------------------------------------------------------------------------------

	// menu switcher script from Simple Theme
	
	// Animated menu do no work with webkit browsers
	if ($.browser.webkit) { options.animatedMenu = false }
	
	var delay;
	if (options.animatedMenu) {delay = "slow";} else {delay = 0;}
	
	$("#menuswitcher").click(function(){
		if ($("#menubar").is(":hidden")) {
			if (delay == 0) {
				$("#menubar").show();
				tnb_resize();
			} else {
				$("#menubar").show(delay, function (){tnb_resize();});
			}
			$.cookie('side-menu', 'showing', {path: "/"});
			if ($("#thumbnails_block2").length != 0) tnb_resize();
			return false;
		} else {
			$("#menubar").hide(delay, function (){tnb_resize();});
			$.cookie('side-menu', 'hiding', {path: "/"});
		return false;
		}
	});

	// creates a variable with the contents of the cookie side-menu
	var sidemenu = $.cookie('side-menu');
	
	// if cookie says the menu is hiding, keep it hidden!
	if (sidemenu == 'hiding') {
		$("#menubar").hide();
	}
	if (sidemenu == 'showing') {
		$("#menubar").show();
	}
  
	// resize thumbnail block
	$(window).resize(function() { tnb_resize(); });
	tnb_resize();

	// display alt from PWG stuffs actions.

	var stuffs_actions=$(".categoryActions",".stuffs_block .stuffs");
	
	if (stuffs_actions.length != 0) {
		stuffs_actions.each(function(index) {
			var images=$(this).find("img");
			if (images.length !=0) {
				images.each(function(index) {
					var alt_text = ($(this).attr("alt"));
					$(this).before(alt_text);
					$(this).parents("li").css("width","auto");
					$(this).remove();
				});
			}
		});
	}
	
	// gmaps icon
	
	var icon_gmaps=$("#icon_gmaps");
	var text_gmaps=$("#text_gmaps");
	if ((icon_gmaps.length == 1) && (text_gmaps.length ==1)) {
		icon_gmaps.text(text_gmaps.text());
		icon_gmaps.css("text-align","right");
	}	
 
});



// Thumbnails Block Resize function

function tnb_resize() {
	if ($("#thumbnails_block2").length != 0) {
		var tnb_width = 40+180*parseInt(($("#thumbnails_block1").width()-40)/180);
		$("#thumbnails_block2").css("max-width",tnb_width+"px");
	};
}

/**
 * Cookie plugin
 * Copyright (c) 2006 Klaus Hartl (stilbuero.de)
 * Dual licensed under the MIT and GPL licenses:
 */
jQuery.cookie=function(name,value,options){if(typeof value!='undefined'){options=options||{};if(value===null){value='';options=$.extend({},options);options.expires=-1;}
var expires='';if(options.expires&&(typeof options.expires=='number'||options.expires.toUTCString)){var date;if(typeof options.expires=='number'){date=new Date();date.setTime(date.getTime()+(options.expires*24*60*60*1000));}else{date=options.expires;}
expires='; expires='+date.toUTCString();}
var path=options.path?'; path='+(options.path):'';var domain=options.domain?'; domain='+(options.domain):'';var secure=options.secure?'; secure':'';document.cookie=[name,'=',encodeURIComponent(value),expires,path,domain,secure].join('');}else{var cookieValue=null;if(document.cookie&&document.cookie!=''){var cookies=document.cookie.split(';');for(var i=0;i<cookies.length;i++){var cookie=jQuery.trim(cookies[i]);if(cookie.substring(0,name.length+1)==(name+'=')){cookieValue=decodeURIComponent(cookie.substring(name.length+1));break;}}}
return cookieValue;}};
